HACKRF_DEBUG(1)

NAME
hackrf_debug - register manipultion tool

DESCRIPTION

  Usage:

-h, --help: this help

-n, --register <n>: set register number for read/write operations

-r, --read: read register specified by last -n argument, or all registers

-w, --write <v>: write register specified by last -n argument with value <v>

-c, --config: print SI5351C multisynth configuration information

-d, --device <s>: specify a particular device by serial number

-m, --max2837: target MAX2837

-s, --si5351c: target SI5351C

-f, --rffc5072: target RFFC5072

-g, --gateware: target gateware registers

-P, --fpga <n>: load the n-th bitstream to the FPGA

-1, --p1 <n>: P1 control

-2, --p2 <n>: P2 control

-C, --clkin <0/1>: CLKIN control (0 for P1_CLKIN, 1 for P22_CLKIN)

-N, --narrowband <0/1>: narrowband filter disable/enable

-S, --state: display M0 state

-T, --tx-underrun-limit <n>: set TX underrun limit in bytes (0 for no limit)

-R, --rx-overrun-limit <n>: set RX overrun limit in bytes (0 for no limit)

-u, --ui <1/0>: enable/disable UI

-l, --leds <state>: configure LED state (0 for all off, 1 for default)

-t, --selftest: read self-test report

-o, --rtc-osc: test 32.768kHz RTC oscillator

-a, --adc <channel>: read value from an ADC channel. Add 0x80 for alternate pin

EXAMPLES

hackrf_debug --si5351c -n 0 -r
    # reads from si5351c register 0

hackrf_debug --si5351c -c
    # displays si5351c multisynth configuration

hackrf_debug --rffc5072 -r
    # reads all rffc5072 registers

hackrf_debug --max2837 -n 10 -w 22 # writes max2837 register 10 with 22 decimal

hackrf_debug --state               # displays M0 state

SEE ALSO
The primary source of documentation is the wiki on github:

https://github.com/mossmann/hackrf/wiki